# PolicyTemplateCreationRequest

Request to create a policy template
## Properties

| Name | Type | Required | Description |
|------|------|----------|-------------|
| **code** | **str** | Required | The Code of the policy template being created |
| **display_name** | **str** | Required | The display name of the policy template being created |
| **description** | **str** | Required | Description of the policy template being craeted |
| **templated_selectors** | [List[PolicyTemplatedSelector]](PolicyTemplatedSelector.md) | Required | The selector definitions of policies included in this policy template |


## Usage

### Creating from keyword arguments

```python
from finbourne.sdk.services.access.models.PolicyTemplateCreationRequest import PolicyTemplateCreationRequest

instance = PolicyTemplateCreationRequest(
    code="...",  # required — The Code of the policy template being created
    display_name="...",  # required — The display name of the policy template being created
    description="...",  # required — Description of the policy template being craeted
    templated_selectors=[]  # required — The selector definitions of policies included in this policy template
)
```

- [PolicyTemplatedSelector](PolicyTemplatedSelector.md) — used in `templated_selectors`


[Back to top](#) · [Back to API list](../../api_endpoints.md) · [Back to Model list](../../models.md) · [Back to README](../../../../../README.md)

